> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all SSO authentication providers

> Returns a list of your SSO authentication providers.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/account-billing/authentication-providers.yml get /authentication_providers
openapi: 3.1.0
info:
  title: Telnyx Authentication Providers API
  version: 2.0.0
  description: API for Authentication providers.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /authentication_providers:
    get:
      tags:
        - Authentication Providers
      summary: List all SSO authentication providers
      description: Returns a list of your SSO authentication providers.
      operationId: FindAuthenticationProviders
      parameters:
        - name: sort
          in: query
          description: >-
            Specifies the sort order for results. By default sorting direction
            is ascending. To have the results sorted in descending order add the
            <code>-</code> prefix.<br/><br/>

            That is: <ul>
              <li>
                <code>name</code>: sorts the result by the
                <code>name</code> field in ascending order.
              </li>
              <li>
                <code>-name</code>: sorts the result by the
                <code>name</code> field in descending order.
              </li>
            </ul><br/>If not given, results are sorted by
            <code>created_at</code> in descending order.
          required: false
          schema:
            type: string
            enum:
              - name
              - '-name'
              - short_name
              - '-short_name'
              - active
              - '-active'
              - created_at
              - '-created_at'
              - updated_at
              - '-updated_at'
            default: '-created_at'
            example: name
        - name: page
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated page parameter (deepObject style). Originally:
            page[number], page[size]
          schema:
            type: object
            properties:
              number:
                type: integer
                minimum: 1
                default: 1
                description: The page number to load
              size:
                type: integer
                minimum: 1
                maximum: 250
                default: 20
                description: The size of the page
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/AuthenticationProvider'
                  meta:
                    $ref: '#/components/schemas/PaginationMeta'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties: {}
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties: {}
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                type: object
                properties: {}
      deprecated: false
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const authenticationProvider of
            client.authenticationProviders.list()) {
              console.log(authenticationProvider.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.authentication_providers.list()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.AuthenticationProviders.List(context.TODO(), telnyx.AuthenticationProviderListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.authenticationproviders.AuthenticationProviderListPage;

            import
            com.telnyx.sdk.models.authenticationproviders.AuthenticationProviderListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    AuthenticationProviderListPage page = client.authenticationProviders().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.authentication_providers.list

            puts(page)
        - lang: CLI
          source: |-
            telnyx authentication-providers list \
              --api-key 'My API Key'
components:
  schemas:
    AuthenticationProvider:
      type: object
      title: AuthenticationProvider
      properties:
        id:
          type: string
          format: uuid
          description: Uniquely identifies the authentication provider.
          example: 35146afd-df93-4963-b1e9-1a085e2ae874
        record_type:
          type: string
          description: Identifies the type of the resource.
          example: authentication_provider
        name:
          $ref: '#/components/schemas/name'
        short_name:
          $ref: '#/components/schemas/short_name'
        organization_id:
          $ref: '#/components/schemas/organization_id'
        active:
          $ref: '#/components/schemas/active'
        activated_at:
          type: string
          description: >-
            ISO 8601 formatted date indicating when the authentication provider
            was activated.
          format: date-time
          example: '2018-02-02T22:25:27.521Z'
        settings:
          type: object
          description: The settings associated with the authentication provider.
          properties:
            assertion_consumer_service_url:
              type: string
              description: >-
                The Assertion Consumer Service URL for the service provider
                (Telnyx).
              format: uri
              example: https://api.telnyx.com/sso/saml/auth/myorg
            service_provider_entity_id:
              type: string
              description: The Entity ID for the service provider (Telnyx).
              format: uri
              example: https://api.telnyx.com/sso/saml/metadata/myorg
            service_provider_login_url:
              type: string
              description: >-
                The login URL for the service provider (Telnyx). Users navigate
                to this URL to initiate SSO login.
              format: uri
              example: https://api.telnyx.com/sso/myorg
            idp_entity_id:
              type: string
              description: The Entity ID for the identity provider (IdP).
              format: uri
              example: https://myorg.myidp.com/saml/metadata
            idp_sso_target_url:
              type: string
              description: The SSO target url for the identity provider (IdP).
              format: uri
              example: https://myorg.myidp.com/trust/saml2/http-post/sso
            idp_cert_fingerprint:
              type: string
              description: The certificate fingerprint for the identity provider (IdP)
              example: 13:38:C7:BB:C9:FF:4A:70:38:3A:E3:D9:5C:CD:DB:2E:50:1E:80:A7
            idp_cert_fingerprint_algorithm:
              type: string
              description: >-
                The algorithm used to generate the identity provider's (IdP)
                certificate fingerprint
              enum:
                - sha1
                - sha256
                - sha384
                - sha512
              default: sha1
              example: sha256
            name_identifier_format:
              type: string
              description: >-
                The name identifier format associated with the authentication
                provider. This must be the same for both the Identity Provider
                (IdP) and the service provider (Telnyx).
              example: urn:oasis:names:tc:SAML:1.1:nameid-format
            idp_slo_target_url:
              type: string
              description: >-
                The Single Logout (SLO) target URL for the identity provider
                (IdP).
              format: uri
              example: https://myorg.myidp.com/trust/saml2/http-redirect/slo
            idp_certificate:
              type: string
              description: The full X.509 certificate for the identity provider (IdP).
              example: |-
                -----BEGIN CERTIFICATE-----
                MIIC...
                -----END CERTIFICATE-----
            idp_attribute_names:
              type: object
              description: >-
                Mapping of SAML attribute names used by the identity provider
                (IdP).
              example:
                email: >-
                  http://schemas.xmlsoap.org/ws/2005/05/identity/claims/emailaddress
            provision_groups:
              type: boolean
              description: >-
                Whether group provisioning is enabled for this authentication
                provider.
              example: false
        created_at:
          type: string
          description: ISO 8601 formatted date indicating when the resource was created.
          format: date-time
          example: '2018-02-02T22:25:27.521Z'
        updated_at:
          type: string
          description: ISO 8601 formatted date indicating when the resource was updated.
          format: date-time
          example: '2018-02-02T22:25:27.521Z'
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    name:
      type: string
      description: The name associated with the authentication provider.
      example: Okta
    short_name:
      type: string
      description: >-
        The short name associated with the authentication provider. This must be
        unique and URL-friendly, as it's going to be part of the login URL.
      example: myorg
    organization_id:
      type: string
      format: uuid
      description: The id from the Organization the authentication provider belongs to.
      example: 24b4a4bb-c4df-46ad-bbcb-23fc741c5ad7
    active:
      type: boolean
      description: The active status of the authentication provider
      default: true
      example: true
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````